package com.yixin.ms.boot.uitls;

import cn.hutool.http.HttpRequest;
import cn.hutool.http.HttpResponse;
import cn.hutool.http.HttpUtil;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.yixin.ms.boot.cache.DefaultCacheManager;
import com.yixin.ms.server.vo.JiliangCanPassVO;
import org.springframework.stereotype.Component;

/**
 * <B>项目名称：</B>face-server<BR>
 * <B>包名称：  </B>com.yx.face.boot.uitls<BR>
 * <B>主类名称：</B>InternalCarUtils<BR>
 * <B>概要说明：</B>InternalCarUtils<BR>
 *
 * @author ljj
 * @since 2022年11月28日 18:15:16
 */
@Component
public class InternalBusUtils {

    public static final String ACCESS_KEY = "ACCESS_KEY";

    public static final String TOKEN_URL = "https://test-api.teamcube.cn/teamcube-coop/app-platform/api/rest/api_token?appKey=SnNOJW1cx&appSecret=43f97444e459668c3e19e7bef47491873ba15477";

    public static final String PUSH_URL = "https://test-api.teamcube.cn/teamcube-coop/app-platform/api/rest/update_op/zhgl/bcyy/scjyjk";

    public static final Integer SUCCESS = 200;

    public String getAccessKey(){
        DefaultCacheManager defaultCacheManager = DefaultCacheManager.getInstance();
        String value  = String.valueOf(defaultCacheManager.get(DefaultCacheManager.INTERNAL_SHCHOOL_CACHE,ACCESS_KEY));
        if(value.equals("null")){
            HttpRequest httpRequest = HttpUtil.createPost(TOKEN_URL);
            HttpResponse httpResponse = httpRequest.execute();
            JSONObject jsonObject = JSONObject.parseObject(httpResponse.body());
            Integer code = jsonObject.getInteger("code");
            value = String.valueOf(jsonObject.get("data"));
            if(!code.equals(SUCCESS)){
                return null;
            }
            if(value.equals("null")){
                return null;
            }
            defaultCacheManager.create(DefaultCacheManager.INTERNAL_SHCHOOL_CACHE).put(ACCESS_KEY,value);
        }
        return value;
    }

    public JiliangCanPassVO checkPass(String accessKey, String sn, String idCard){
        HttpRequest httpRequest = HttpUtil.createPost(PUSH_URL);
        JSONObject data = new JSONObject();
        data.put("rlsbsbbm",sn);
        data.put("bcyyid","SFZ-".concat(idCard));
        JSONObject param = new JSONObject();
        param.put("data",data);
        httpRequest.header("x-access-token",accessKey);
        httpRequest.body(param.toJSONString());
        HttpResponse httpResponse = httpRequest.execute();
        JSONObject jsonObject = JSONObject.parseObject(httpResponse.body());
        JiliangCanPassVO jiliangCanPassVO = null;
        if(jsonObject.getInteger("code").equals(SUCCESS)){
            jiliangCanPassVO = JSON.parseObject(String.valueOf(jsonObject.get("data")),JiliangCanPassVO.class);
        }
        return jiliangCanPassVO;
    }

}
