package com.yixin.ms.model.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;


@AllArgsConstructor
@Getter
public enum QrCodeEnum {
    SFZ("0", "SFZ-", "身份证"),
    FKM("1", "FKM-", "访客二维码"),
    XYM("2", "XYM-", "校园码"),
    YYM("3", "YYM-", "预约码");

    private String value;
    private String prefixT;
    private String desc;

    public static QrCodeEnum getByValue(String value) {
        for (QrCodeEnum qrCodeEnum : values()){
            if(qrCodeEnum.getValue().equals(value)){
                return qrCodeEnum;
            }
        }
        return null;
    }

}
