package com.yixin.ms.server.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author shisl
 * @package com.yx.face.model.vo.zone
 * @class ZoneDeviceRDto
 * @date 2023/9/13 上午10:33
 * @description
 */
@Data
@ApiModel("设备区域信息")
public class ZoneDeviceVo implements Serializable {

    @ApiModelProperty(value = "区域名称")
    private String name;

    @ApiModelProperty(value = "区域类型 ZoneTypeEnum 1：学生宿舍")
    private Integer zoneType;

    @ApiModelProperty(value = "学校楼宇代码")
    private String schoolBuildingCode;

    @ApiModelProperty(value = "楼号")
    private String lh;


}
