package com.yixin.ms.server.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @author: lileilei
 * @date: 2022/8/25 16:16
 * @description:
 */
@Data
@Accessors(chain = true)
@AllArgsConstructor
public class JiliangApartmentDTO implements Serializable {

    @ApiModelProperty(value = "学校代码")
    @JsonProperty("SCHOOL_CODE")
    private String schoolCode;

    @ApiModelProperty(value = "学校区域代码")
    @JsonProperty("CAMPUS_CODE")
    private String schoolCampusCode;

    @ApiModelProperty(value = "学校楼宇代码")
    @JsonProperty("BUILDING_CODE")
    private String schoolBuildingCode;

    @ApiModelProperty(value = "学工号")
    @JsonProperty("XGH")
    private String xgh;

    @ApiModelProperty(value = "楼号")
    @JsonProperty("LH")
    private String lh;

}
